@import url(WackoStyleSoftwareGlobal.css);


/******************
 * General layout *
 ******************/

body
{
	background-color: #C0C0C0;	/* Old-skool grey */
	background-attachment: fixed;	/* should this be fixed!important ? */
}



/* Section headings */
.SectionHeading
{
	text-align: center;

	border-color: #C0C0C0;
	border-style: groove none;
}



/*******
 * HRs *
 *******/

HR.InnerSectionHR
{
	width: 70%;
	height: 7px;
}

HR.InnerEndbitHR
{
	width: 90%;
	height: 18px;
}



/**********
 * Images *
 **********/

IMG.MouthClosed
{
	/*
	If this is part of the stylesheet, does it get rendered as quickly if part of the HTML?
	Leave it out so I can use image-size in browsers that don't implement style-sheets.
	width: 33px;
	height: 32px;
	*/

	margin-right: 10px;

	margin-top: 10px;
	margin-bottom: 10px;

	/* baseline would be good if the font was as tall as the mouths */
	vertical-align: middle;
}

IMG.MouthOpen
{
	/*
	If this is part of the stylesheet, does it get rendered as quickly if part of the HTML?
	width: 33px;
	height: 32px;
	*/

	margin-left: 10px;

	margin-top: 10px;
	margin-bottom: 10px;

	/* baseline would be good if the font was as tall as the mouths */
	vertical-align: middle;
}



/****************
 * List related *
 ****************/

.IndexOfItems
{
	/* ?: How do I get the border to be in exactly the same style as a HR? */
	border-color: #C0C0C0;
	border-style: groove;
}

.IndexOfItems UL
{
	font-size: large;
	line-height: 40px;	/* Those pesky 32px high source-bottles with 8px for good measure */
}

.IndexOfItems UL UL
{
	font-size: medium;
}


UL.FeatureList
{
	font-weight: bold;
}

.FeatureDesc
{
	font-weight: normal;
	font-size: small;
}


/* Used in lists of links to describe the link */
.LinkDesc
{
	font-size: x-small;
}



/********************
 * Definition lists *
 ********************/

/* When defining platforms */

.PlatformDef dt
{
}

.PlatformDef dd
{
	margin: 0px 0px 0px 25px;
}

.PlatformDef IMG
{
	float: left;
	vertical-align: top;
	margin-right: 10px;
}



/*********
 * Q & A *
 *********/


.QuestionAnswer
{
	font-size: small;
	margin: 28px 0px;
}

.QuestionAnswer .Problem
{
	font-style: italic;
}

.QuestionAnswer .Solution
{
}



/***************
 * Code layout *
 ***************/

code.STOSInABox
{
	border-style: double;
	display: block;

	/* Perhaps even do the STOS medrez font */
	color: #FFFFFF;
	background: #000000;

	padding: 8px;
}



/*****************
 * Misc. Classes *
 *****************/

/* eg. used for the future bit */
.Commentary
{
	margin: 30px 8%;
	/*
	padding: 10px;
	border-style: solid;
	*/
}

.Commentary .CommentaryHead
{
	font-style: italic;
	font-size: larger;
}

.Commentary .CommentaryBody
{
	margin-left: 2em;
}


/*
.UsefulProgsForPlatform
{
	border-style: solid;
}

.EmulatorsOfPlatform
{
	border-style: solid;
}
*/

